//
//  RopeSprite.h
//  CutTheVerlet
//
//  Created by Fahim Farook on 7/4/13.
//  Copyright (c) 2013 OpenTheJob. All rights reserved.
//

#import "cocos2d.h"
#import "Constants.h"
#import "RopeModel.h"

@interface RopeSprite : NSObject

@property (readonly, getter = getID) int id;

-(id)initWithParent:(CCNode*)parent andRopeModel:(RopeModel*)aRopeModel;

-(int)getID;
-(CGPoint)getAnchorA;
-(CGPoint)getAnchorB;
-(int)getBodyAID;
-(int)getBodyBID;

-(void)setAnchorA:(CGPoint)anchorA;
-(void)setAnchorB:(CGPoint)anchorB;
-(float)distanceToPoint:(CGPoint)position;
-(CGRect)getBoundingBox;
-(void)cleanupSprite;
-(void)setSelectedAnchorType:(anchorType)type;
-(anchorType)getSelectedAnchorType;
-(CGPoint)getSelectedAnchor;
-(void)moveSelectedAnchorTo:(CGPoint)vector;
-(BOOL)isValidNewAnchorID:(int)newAnchorID;

@end
